Skip to main content
aboutsummaryrefslogtreecommitdiffstats
AgeCommit message (Collapse)AuthorFilesLines
2021-06-29Bug 574523 - [17] Remove warnings in BETA_JAVA17Y20210629-0800Jay Arthanareeswaran2-0/+0
Change-Id: Ib64de6f33c5003bdc1eb431ef71e2b546d52ed43 Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com> Reviewed-on: https://git.eclipse.org/r/c/jdt/eclipse.jdt.core/+/182570
2021-06-28Merge remote-tracking branch 'origin/master' into BETA_JAVA17Jay Arthanareeswaran2-0/+0
2021-06-23Bug 573283 - javax15api.jar contains Java 14 (58.0) class filesJay Arthanareeswaran2-0/+0
Recompile the java.compiler module with compliance/target of Java 11. Also, make it javax16api.jar now that we provide support for Java 16. Change-Id: I15c01854cbe7957c8b12ab6f67de655da3393774 Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com> Reviewed-on: https://git.eclipse.org/r/c/jdt/eclipse.jdt.core/+/182373 Tested-by: JDT Bot <jdt-bot@eclipse.org>
2021-04-29Bug 572673 - [17] Implement Elements.isAutomaticModule(ModuleElement)Jay Arthanareeswaran1-0/+0
Change-Id: I69920b93d9f8ad83efcae4eb4eac87245eca0f66 Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com> Reviewed-on: https://git.eclipse.org/r/c/jdt/eclipse.jdt.core/+/179904
2020-06-10Bug 564109 - [15] Provide JSR 269 support for Java 15 featuresJay Arthanareeswaran1-0/+0
Change-Id: I93a57b5d8f0caf5f22a5de4c0534b5a4c919306c Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com>
2020-04-17Bug 562242 - [14] RecordComponentElementImpl should override/implI20200419-1800I20200418-1800I20200417-1800Jay Arthanareeswaran1-0/+0
accept(...) Change-Id: I261d3f1ebf40defcdbf7c2712ae5bedb774d921a Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com>
2020-02-18Bug 560260 - [14] Provide JSR 269 support for Java 14 featuresY20200218-1420Y20200218-1210Jay Arthanareeswaran2-0/+0
Change-Id: I2ba1bdbc3fd3cb05b9888efbc21d7cf62454b7e8 Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com>
2019-09-19Merge remote-tracking branch 'origin/BETA_JAVA13'I20190919-1800I20190919-0850Manoj Palat1-0/+0
# Conflicts: # org.eclipse.jdt.compiler.apt/META-INF/MANIFEST.MF # org.eclipse.jdt.compiler.apt/pom.xml # org.eclipse.jdt.core.tests.compiler/META-INF/MANIFEST.MF # org.eclipse.jdt.core.tests.compiler/pom.xml # org.eclipse.jdt.core.tests.model/META-INF/MANIFEST.MF # org.eclipse.jdt.core.tests.model/pom.xml # org.eclipse.jdt.core/META-INF/MANIFEST.MF # org.eclipse.jdt.core/pom.xml Change-Id: I2562d3b2833b1b63e3b8cfc46eb533bffcae6bd9
2018-03-14Bug 530444 - [10] JSR 269 API changesY20180315-1000Jay Arthanareeswaran2-0/+0
Include the API from java.compiler module (as a plain old JAR) to the relevant projects. Change-Id: If2fe8656c50a286d38adb8c4d91eda4fbaee5261 Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com>
2017-09-18Bug 477291: [1.9] Support JRE 9 in JSR199 implementationJay Arthanareeswaran1-0/+0
Change-Id: Idfbcd6c2e40fbbc1a325dbe43950284404642fc8 Signed-off-by: Jay Arthanareeswaran <jarthana@in.ibm.com>

    Back to the top